<template lang="pug">
  tr.data-sheet-row(
    v-for="row in model"
    :key="keyIteratee(row)"
  )
    td(
      v-for="column in columns"
      :key="column.key"
    ) {{ row[column.valueProperty] || row.value || '' }}
</template>

<script>
export default {
  name: 'DataSheetRow',
  props: ['model', 'keyIteratee']
}
</script>

<style>
</style>
